#pragma once

#include "ElementProxies.hpp"
#include <Proxies\Process.hpp>

namespace ElementProxies {

	class ApplyDetailTexturesProcess:
		public Proxies::Process
	{
	public:
		ApplyDetailTexturesProcess(Stuff::NotationFile *tron_file);
		ApplyDetailTexturesProcess(
			Stuff::NotationFile *tron_file,
			Stuff::NotationFile *config_file
		);
		~ApplyDetailTexturesProcess();

		virtual void
			ApplyDetailTexturesCallback(Proxies::GenericProxy* proxy)
				{}

		Stuff::NotationFile
			*tronFile;
	};
}
